Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora
Class AVRErrorReporter

    java.lang.Object
      avrora.ErrorReporter
          avrora.AVRErrorReporter

public class AVRErrorReporter
extends ErrorReporter

The `AVRErrorReporter` contains one method per compilation error. The method constructs a `CompilationError` object that represents the error and throws it. One method per type of error provides a convenient interface and allows pinpointing the generation of each type of error within the verifier.

Constructor Summary
`AVRErrorReporter()`

Method Summary
`void` | `ConstantExpected(SyntacticOperand o)`
`void` | `ConstantOutOfRange(SyntacticOperand o, int value, java.lang.String range)`
`void` | `DataCannotBeInSegment(java.lang.String seg, ASTNode loc)`
`void` | `IncludeFileNotFound(AbstractToken tok)`
`void` | `IncorrectRegister(SyntacticOperand o, Register reg, java.lang.String expect)`
`void` | `InstructionCannotBeInSegment(java.lang.String seg, AbstractToken instr)`
`void` | `RegisterExpected(SyntacticOperand o)`
`void` | `UnknownInstruction(AbstractToken instr)`
`void` | `UnknownRegister(AbstractToken reg)`
`void` | `UnknownVariable(AbstractToken name)`
`void` | `WrongNumberOfOperands(AbstractToken instr, int seen, int expected)`

Methods inherited from class avrora.ErrorReporter
`error, error, error, error`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AVRErrorReporter

    public AVRErrorReporter()

Method Detail

### UnknownRegister

    public void UnknownRegister(AbstractToken reg)

### InstructionCannotBeInSegment

    public void InstructionCannotBeInSegment(java.lang.String seg,
                                             AbstractToken instr)

### UnknownInstruction

    public void UnknownInstruction(AbstractToken instr)

### RegisterExpected

    public void RegisterExpected(SyntacticOperand o)

### IncorrectRegister

    public void IncorrectRegister(SyntacticOperand o,
                                  Register reg,
                                  java.lang.String expect)

### ConstantExpected

    public void ConstantExpected(SyntacticOperand o)

### ConstantOutOfRange

    public void ConstantOutOfRange(SyntacticOperand o,
                                   int value,
                                   java.lang.String range)

### WrongNumberOfOperands

    public void WrongNumberOfOperands(AbstractToken instr,
                                      int seen,
                                      int expected)

### UnknownVariable

    public void UnknownVariable(AbstractToken name)

### DataCannotBeInSegment

    public void DataCannotBeInSegment(java.lang.String seg,
                                      ASTNode loc)

### IncludeFileNotFound

    public void IncludeFileNotFound(AbstractToken tok)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD